### Hierarchy

- PushManager

## Index

### Methods

- getSubscription
- permissionState
- subscribe

## Methods

### getSubscription

- getSubscription(): Promise<PushSubscription | null>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11258

  #### Returns Promise<PushSubscription | null>

### permissionState

- permissionState(options?: PushSubscriptionOptionsInit): Promise<PushPermissionState>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11259

  #### Parameters

  - ##### Optional options: PushSubscriptionOptionsInit

  #### Returns Promise<PushPermissionState>

### subscribe

- subscribe(options?: PushSubscriptionOptionsInit): Promise<PushSubscription>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11260

  #### Parameters

  - ##### Optional options: PushSubscriptionOptionsInit

  #### Returns Promise<PushSubscription>

Generated using TypeDoc